Package org.picocontainer

# Interface Injector<T>

All Superinterfaces:
  `ComponentAdapter<T>`

All Known Implementing Classes:
  `AbstractFieldInjector`, `AbstractInjector`, `AnnotatedFieldInjector`, `AnnotatedMethodInjector`, `CompositeInjector`, `ConstructorInjector`, `FactoryInjector`, `IterativeInjector`, `MethodInjector`, `MethodInjector.ByMethodName`, `MethodInjector.ByReflectionMethod`, `MultiInjector`, `NamedFieldInjector`, `NamedMethodInjector`, `ProviderAdapter`, `SetterInjector`, `SingleMemberInjector`, `TypedFieldInjector`

public interface Injector<T> extends ComponentAdapter<T>
Implementers are responsible for instantiating and injecting dependancies into Constructors, Methods and Fields.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Method Summary

Modifier and Type
Method
Description
`Object`
`decorateComponentInstance(PicoContainer container, Type into, T instance)`
A preexiting component instance can be injected into after instantiation

### Methods inherited from interface org.picocontainer.ComponentAdapter

`accept, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, getDescriptor, verify`

## Method Details

### decorateComponentInstance

Object decorateComponentInstance(PicoContainer container, Type into, T instance)
A preexiting component instance can be injected into after instantiation

Parameters:
  `container` - the container that can provide injectable dependencies
  `into` -
  `instance` - the instance to
Returns: